POST api/cleanroomapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "b64b45bb-2fd9-467c-9cda-a0f9b4d6f184",
"communication_server_id": "bbea3c65-1067-47fb-8de5-578c613bd809",
"id": "0c94109b-5e79-4b12-9d35-5c7bcf258ce0",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>b64b45bb-2fd9-467c-9cda-a0f9b4d6f184</cleanroom_type_id> <communication_server_id>bbea3c65-1067-47fb-8de5-578c613bd809</communication_server_id> <id>0c94109b-5e79-4b12-9d35-5c7bcf258ce0</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f5cf4349-44ac-40e1-a2e1-59ff75b8375f"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f5cf4349-44ac-40e1-a2e1-59ff75b8375f</guid>